Jump to content


Photo

Apache fails to start with PHP 7.0

Apache PHP7

  • Please log in to reply
2 replies to this topic

#1 axiom41

axiom41

    Newbie

  • Member
  • Pip
  • 2 posts
  • Main OS: Windows 8

Posted 29 January 2016 - 05:54 AM

Hello.

I installed UniServer Zero XII on a Win7 x64 machine, but Apache fails to start if "PHP version 70" is selected; if i run the Apache Syntax Check, i get this error message:

 

httpd_z.exe: Syntax error on line 266 of C:/UniServerZ/core/apache2/conf/httpd.conf: Cannot load C:/UniServerZ/core/php70/icuio56.dll into server: The specified module could not be found.
 
The icuio56.dll is in the php70 folder and commenting the line 266 of the Apache conf file, it starts.
 
Everything is fine if PHP version is any of the 5.x instead.
 
What could i do to make Apache starting with PHP 7 leaving the line 266 of its conf file uncommented?
 
Thanks for your support.

 



#2 Ric

Ric

    Project Manager

  • Admin
  • PipPipPipPipPip
  • 1,535 posts
  • Gender:Male
  • Location:Cambridge,UK
  • Interests:Electronics
    Internet in general
    Open source projects
  • SourceForge IDmpgcan
  • Wiki ID: Ric
  • Main OS: Windows XP

Posted 31 January 2016 - 01:18 PM

I have seen this once on a Win7 x64 machine, solution was to install both     
VC_redist.x64.exe and  VC_redist.x86.exe from:

https://www.microsof...s.aspx?id=49984

All the best
Ric



#3 axiom41

axiom41

    Newbie

  • Member
  • Pip
  • 2 posts
  • Main OS: Windows 8

Posted 04 February 2016 - 04:58 AM

Thanks a lot Ric!

Just installed the 2 MS packages you suggested and it worked at last :) :) :)







Also tagged with one or more of these keywords: Apache PHP7

1 user(s) are reading this topic

0 members, 1 guests, 0 anonymous users